List API Apps

View as Markdown
Returns a list of API Apps that are accessible by you. If you are on a team with an Admin or Developer role, this list will include apps owned by teammates.

Authentication

AuthorizationBasic

Your API key can be used to make calls to the Dropbox Sign API. See Authentication for more information. ✅ Supported by Try it console (calls sent in test_mode only).

OR
AuthorizationBearer
You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See [Authentication](/api/reference/authentication) for more information. ❌ **Not supported** by Try it console.

Query parameters

pageintegerOptionalDefaults to 1

Which page number of the API App List to return. Defaults to 1.

page_sizeintegerOptionalDefaults to 20

Number of objects to be returned per page. Must be between 1 and 100. Default is 20.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
api_appslist of objects
Contains information about API Apps.
list_infoobject
Contains pagination information about the data returned.
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error